# cjvt-vezljivost

## Components


### Database (2 containers)
Input:

* ssj500k.xml
* kres.xml
* kres_SRL.json

Intermediate:

* ssj500k.json **HERE HERE**
* kres.json

Output:

* DB containing both corpora (1:1 map of the intermediate json formats)


### Flask backend (1 container)
Input: see Database

API endpoints:

* GET word list (pre-cached)
* GET reduced frames (pre-cached)
* POST senses
* User auth logic


### Vue frontend (1 container)

* ngnix server


## Deployment

Preflight:
* get up DB
* prepare DB

Flight:
* start backend
* start frontend

